C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementApiClient(
token: "<token>",
clientOptions: new ClientOptions { BaseUrl = "https://{YOUR_DOMAIN}/api/v2" }
);
await client.Jobs.GetAsync(
"id"
);
}
}
package example
import (
context "context"
client "github.com/auth0/go-auth0/v3/management/client"
option "github.com/auth0/go-auth0/v3/management/option"
)
func do() {
mgmt, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
mgmt.Jobs.Get(
context.TODO(),
"id",
)
}
package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.jobs().get("id");
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Wrapper\ManagementClient;
use Auth0\SDK\API\Management\Wrapper\ManagementClientOptions;
$client = new ManagementClient(new ManagementClientOptions(
domain: '{YOUR_DOMAIN}',
token: '<token>',
));
$client->jobs->get(
'id',
);
from auth0.management import ManagementClient
client = ManagementClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.jobs.get(
id="id",
)
require "auth0"
client = Auth0::Management.new(token: "<token>", base_url: "https://{YOUR_DOMAIN}/api/v2")
client.jobs.get(id: "id")
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.jobs.get("id");
}
main();
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.jobs.get("id");
}
main();
curl --request GET \
--url https://{tenantDomain}/api/v2/jobs/{id} \
--header 'Authorization: Bearer <token>'{
"status": "pending",
"type": "users_import",
"id": "job_0000000000000001",
"created_at": "<string>",
"connection_id": "con_0000000000000001",
"location": "<string>",
"percentage_done": 123,
"time_left_seconds": 123,
"status_details": "<string>",
"summary": {
"failed": 0,
"updated": 0,
"inserted": 0,
"total": 0
}
}Get a job
Retrieves a job. Useful to check its status.
GET
https://{tenantDomain}/api/v2
/
jobs
/
{id}
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementApiClient(
token: "<token>",
clientOptions: new ClientOptions { BaseUrl = "https://{YOUR_DOMAIN}/api/v2" }
);
await client.Jobs.GetAsync(
"id"
);
}
}
package example
import (
context "context"
client "github.com/auth0/go-auth0/v3/management/client"
option "github.com/auth0/go-auth0/v3/management/option"
)
func do() {
mgmt, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
mgmt.Jobs.Get(
context.TODO(),
"id",
)
}
package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.jobs().get("id");
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Wrapper\ManagementClient;
use Auth0\SDK\API\Management\Wrapper\ManagementClientOptions;
$client = new ManagementClient(new ManagementClientOptions(
domain: '{YOUR_DOMAIN}',
token: '<token>',
));
$client->jobs->get(
'id',
);
from auth0.management import ManagementClient
client = ManagementClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.jobs.get(
id="id",
)
require "auth0"
client = Auth0::Management.new(token: "<token>", base_url: "https://{YOUR_DOMAIN}/api/v2")
client.jobs.get(id: "id")
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.jobs.get("id");
}
main();
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.jobs.get("id");
}
main();
curl --request GET \
--url https://{tenantDomain}/api/v2/jobs/{id} \
--header 'Authorization: Bearer <token>'{
"status": "pending",
"type": "users_import",
"id": "job_0000000000000001",
"created_at": "<string>",
"connection_id": "con_0000000000000001",
"location": "<string>",
"percentage_done": 123,
"time_left_seconds": 123,
"status_details": "<string>",
"summary": {
"failed": 0,
"updated": 0,
"inserted": 0,
"total": 0
}
}承認
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
パスパラメータ
ID of the job.
レスポンス
Job retrieved successfully.
Status of this job.
Type of job this is.
ID of this job.
When this job was created.
connection_id of the connection this job uses.
URL to download the result of this job.
Completion percentage of this job.
Estimated time remaining before job completes.
Format of the file. Must be json or csv.
利用可能なオプション:
json, csv Status details.
Job execution summary.
Show child attributes
Show child attributes
⌘I